# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "approx-derive"
version = "0.2.3"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Extends the approx crate by derive macros."
readme = "README.md"
license = "Apache-2.0"

[features]
approxim = []
default = []

[lib]
name = "approx_derive"
path = "src/lib.rs"
proc-macro = true

[[test]]
name = "derive_abs_diff"
path = "tests/derive_abs_diff.rs"

[[test]]
name = "derive_rel_diff"
path = "tests/derive_rel_diff.rs"

[dependencies.proc-macro2]
version = "1.0.86"

[dependencies.quote]
version = "1.0.37"

[dependencies.syn]
version = "2.0.76"
features = [
    "default",
    "full",
]

[dev-dependencies.approx]
version = "0.5.1"

[dev-dependencies.approxim]
version = "0.6"
